/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 12/04/2025

Calcolare il Numero di Nepero.
*/

#include <iostream>
#include <iomanip>

using namespace std;

double fattorialeNumero(int n) {
	double fattoriale = 1;
	
	for (int i = 1; i <= n; i++) {
		fattoriale = fattoriale * i;
	}
	
	return fattoriale;
}

double numeroNepero(int termini) {
	double e = 0;
	
	for (int i = termini; i >= 0; i--) {
		e = e + (1 / fattorialeNumero(i));
	}
	
	return e;
}

int main(void) {
	int termini = 100;
	
	cout << fixed << setprecision(20) << numeroNepero(termini) << endl;
	
	return 0;
}